org.apache.sysds.runtime.io

## Class FrameWriter

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameWriter

Direct Known Subclasses:
  FrameWriterBinaryBlock, FrameWriterProto, FrameWriterTextCell, FrameWriterTextCSV

    public abstract class FrameWriter
    extends Object

Base class for all format-specific frame writers. Every writer is required to implement the basic write functionality but might provide additional custom functionality. Any non-default parameters (e.g., CSV read properties) should be passed into custom constructors. There is also a factory for creating format-specific writers.

### Constructor Summary

Constructors
Constructor and Description
`FrameWriter()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static FrameBlock[]` `createFrameBlocksForReuse(Types.ValueType[] schema, String[] names, long rlen)`
`static FrameBlock` `getFrameBlockForReuse(FrameBlock[] blocks)`
`abstract void` `writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameWriter

    public FrameWriter()

### Method Detail

#### writeFrameToHDFS

    public abstract void writeFrameToHDFS(FrameBlock src,
                                          String fname,
                                          long rlen,
                                          long clen)
                                   throws IOException,
                                          DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`

#### createFrameBlocksForReuse

    public static FrameBlock[] createFrameBlocksForReuse(Types.ValueType[] schema,
                                                         String[] names,
                                                         long rlen)

#### getFrameBlockForReuse

    public static FrameBlock getFrameBlockForReuse(FrameBlock[] blocks)